Bug 224434 - yum doesn't honor http_proxy when fetching GPG keys
Summary: yum doesn't honor http_proxy when fetching GPG keys
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 18:00 UTC by Jonathan Underwood
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version: 3.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 22:40:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Underwood 2007-01-25 18:00:31 UTC
Description of problem:
When importing a gpg key, yum doesn't honour the http_proxy setting from yum.conf

Version-Release number of selected component (if applicable):
yum-3.0.3-1.fc6

How reproducible:
Everytime

Steps to Reproduce:
1.Add a repo file for a new repo which gontains a gpgkey line
2.yum install some package from that repo
3.yum will try and fetch the gpg key, but will fail, as it doesn't use the
http_proxy setting.
  
Actual results:
gpgkey is not installed

Expected results:
gpgkey installed

Additional info:
yum install flash-plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Setting up Install Process
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package flash-plugin.i386 0:9.0.31.0-1 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 flash-plugin            i386       9.0.31.0-1       macromedia        2.5 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 2.5 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 8df56d05


GPG key retrieval failed: [Errno 4] IOError: <urlopen error (111, 'Connection
refused')>

But then setting http_proxy shell variable, it works:

export http_proxy=http://wwwcache.xxxx.ac.uk:8080
[root@xxxxx yum.repos.d]# yum install flash-plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Setting up Install Process
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package flash-plugin.i386 0:9.0.31.0-1 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 flash-plugin            i386       9.0.31.0-1       macromedia        2.5 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 2.5 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 8df56d05
Importing GPG key 0x8DF56D05 "Fedora Linux (RPMS) <security@fedora.us>" from
http://macromedia.mplug.org/FEDORA-GPG-KEY
Is this ok [y/N]: y
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: flash-plugin                 ######################### [1/1] 

Installed: flash-plugin.i386 0:9.0.31.0-1
Complete!

Comment 1 Jonathan Underwood 2007-01-25 18:01:35 UTC
I should have added that in yum.conf I have http_proxy set correctly.

Comment 2 Jeremy Katz 2007-04-25 19:09:41 UTC
Do you have http_proxy set for the repository or globally?

Comment 3 Jonathan Underwood 2007-06-06 09:01:56 UTC
I had it set globally in my shell startup file and in yum.conf.

Comment 4 Jeremy Katz 2007-09-13 17:51:10 UTC
Do you know if this happens in Fedora 7?  Things have been pretty substantially
reworked and I don't think it should occur anymore

Comment 5 Jonathan Underwood 2007-09-13 21:45:28 UTC
I would have come across it as a problem if it still existed in F7, as my boxes
are all running that now - so I think it's fixed in F7.


Note You need to log in before you can comment on or make changes to this bug.